uniform         sampler2D   texture;
uniform lowp    vec2        center;
uniform lowp    vec4        color;
uniform highp   float       start;
uniform highp   float       end;
varying highp   vec2        v_texPosition0;

void main() {
    lowp    vec4    sourceColor = texture2D(texture, v_texPosition0);
    lowp    float   d = distance(v_texPosition0, vec2(center.x, center.y));
    lowp    float   percent = smoothstep(start, end, d);
    gl_FragColor = vec4(mix(sourceColor.rgb, color.rgb, percent * color.a), sourceColor.a);
}
